Bug 843550 - ca-bundle.crt includes ECC certs which no package in Fedora can make use of
ca-bundle.crt includes ECC certs which no package in Fedora can make use of
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ca-certificates (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 11:08 EDT by Dan Winship
Modified: 2013-07-05 10:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 10:09:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2012-07-26 11:08:51 EDT
ca-bundle.crt includes ECC certs despite the fact that ECC is currently forbidden in Fedora and thus no package can actually make use of them. In fact, even the script that generates ca-bundle.crt can't deal with them, and so the file ends up containing error messages:

        Subject: C=US, O=VeriSign, Inc., OU=VeriSign Trust Network, OU=(c) 2007 VeriSign, Inc. - For authorized use only, CN=VeriSign Class 3 Public Primary Certification Authority - G4
        Subject Public Key Info:
            Public Key Algorithm: id-ecPublicKey
            Unable to load Public Key
4151572204:error:0609E09C:digital envelope routines:PKEY_SET_TYPE:unsupported algorithm:p_lib.c:239:
4151572204:error:0B07706F:x509 certificate routines:X509_PUBKEY_get:unsupported algorithm:x_pubkey.c:155:
        X509v3 extensions:
            ...

As an example of code getting tripped up by this, the command

  openvpn --show-pkcs11-ids /usr/lib64/pkcs11/gnome-keyring-pkcs11.so

will eventually abort with an error, because gnome-keyring-daemon fails to notice that it didn't successfully parse the certificate's key info, and so ends up returning bogus data to PKCS#11 clients.

(I filed a gnome-keyring bug about this too, but once I realized what was going on, it seemed odd that we're even shipping those certs.)
Comment 1 Tomas Mraz 2012-07-26 11:20:53 EDT
I do not think this is a bug of ca-certificates. The software that loads it should handle the failures gracefully. If we eventually get an approval from legal to enable ECC in openssl and other places we would have to change then the ca-bundle.crt to include them.
Comment 2 Dan Winship 2012-07-26 11:24:34 EDT
Yes, I agree that gnome-keyring should be handling the failure.

Feel free to WONTFIX/NOTABUG. It just seemed possibly-wrong to me (particularly the fact that there are error messages in the file), so I figured I'd file a bug.
Comment 3 Tomas Mraz 2012-07-26 11:43:57 EDT
You're right that the error messages should be probably filtered out of the file when it is generated. But that is just a cosmetic issue.
Comment 4 Fedora End Of Life 2013-07-03 19:05:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dan Winship 2013-07-05 10:09:20 EDT
at some point the ca-bundle.crt-generating script got changed, and it no longer outputs the text form of the certs, so there are no error messages. (as of f19. not sure if it was fixed in f18 too)

Note You need to log in before you can comment on or make changes to this bug.